<template>
    <v-tooltip bottom>
        <template v-slot:activator="{ on, attrs }">
            <v-btn :href="href" :to="to" icon v-bind="{ ...attrs, ...buttonProps }" v-on="on">
                <v-icon color="grey lighten-1">{{ icon }}</v-icon>
            </v-btn>
        </template>
        <span>{{tooltip}}</span>
    </v-tooltip>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
    import {Component, Prop, Vue} from 'vue-property-decorator';

    @Component
    export default class IconLinks extends Vue {
        @Prop() icon!: string;
        @Prop() tooltip!: string;
        @Prop() to!: string;
        @Prop() href!: string;
        @Prop() buttonProps: object;
    }
</script>
